-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Salut,

Le 23/02/2010 17:40, Lionel DELETANG a écrit :
> J'ai un projet de gestion d'adhérents mais surtout d'annuaire des 
> adhérents par département.
> Je dois livrer une ébauche avant la fin du mois.
> Pour quand est planifiée la 0.7 ? est-ce que je peux démarrer sur cette 
> version (même si moyennement stable) ou vaut-il mieux utiliser galette 
> 0.6x actuelle et migrer dans un deuxième temps.

Rien n'est planifié pour la 0.7. J'y ai passé beaucoup de temps, et
fait pas mal de choses, mais il reste encore du temps à passer et des
choses à faire (notamment la migration objet et le remplacement de
adodb par mdb2).

De l'aide sur cette migration, l'ajout de certaines fonctionnalités,
l'amélioration du support de plugins, les tests, etc, etc, etc
permettraient certainement à cette version de voir le jour plus
rapidement ; et serait de toutes façons la bienvenue.

Plusieurs assos utilisent Galette 0.7 à différents stades de son
évolution, c'est stable à priori (bien que tout dépend de la
signification que l'on donne à ce mot)... Cela dit, je fais beaucoup
de changements, et il se peut que des bogues surviennent si je n'ai
pas pensé à tester (pas toujours le temps de tout vérifier
malheureusement).

Utiliser une 0.6 pour ensuite migrer ? Pourquoi pas... Néanmoins, la
mise à jour vers a 0.7 est un point sur lequel je n'ai pas encore
travaillé ; et il y a du boulot (beaucoup de changements dans la base,
suppression de champs inutiles au plus grand nombre, passage des
données en UTF-8, ...).
Utiliser une 0.6 pour développer des nouvelles fonctionnalités,
j'aurai tendance à dire que ce n'est pas intéressant. J'ai déjà du mal
à trouver le temps/le courage pour terminer de migrer ce qui existe
actuellement dans la 0.7 ; alors je ne souhaite vraiment pas en rajouter.

> Pour compléter, j'ai un stagiaire en juin que je compte utiliser pour 
> développer autour de ce projet.
> Certainement au travers d'un plugin.

Là, c'est clairement sur la 0.7 qu'il faut travailler, la 0.6 ne
propose (et ne proposera pas) de système de plugins.

Ha, petite note (c'est précisé sur le site mais bon) ; la version 0.7
actuelle requiert php >= 5.3 (utilisation de quelques fonctionnalités
qui n'existaient pas auparavant).
Ça peut poser un problème, j'en suis conscient, mais libre à qui se
sent de la rendre compatible avec des versions plus anciennes de php :-p


> j'ai tenté de jeter un oeil à un autre projet ( agora-project). Très
jolie 
> interface mais des requetes très étranges sont générées quand la base 
> contient quelques 1300 adhérents. Les clés sont quasis inexistantes et
les 
> accès à la base très/trop lourd...
>
> Des suggestions ???

Bonne soirée,
Johan

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Fedora - http://enigmail.mozdev.org/

iEYEARECAAYFAkuEEq8ACgkQ7N2B+4uln5SpDQCgn2yBUKAIDF9LRXLUYjDV6Exi
lHQAnRV46ia9d6XaeMPPxbNAtjpejE1I
=BJr/
-----END PGP SIGNATURE-----


_______________________________________________
Galette-discussion mailing list
Galette-discussion@gna.org
https://mail.gna.org/listinfo/galette-discussion

Répondre à